Export audit logs
curl --request GET \
--url https://api.example.com/api/audit-logs/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/audit-logs/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/audit-logs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Audit log
Export audit logs
Export audit log entries as a CSV file. Supports filtering by project, user, and date range.
GET
/
api
/
audit-logs
/
export
Export audit logs
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Query Parameters
Filter by project ID
Filter by user ID
Filter entries from this date (inclusive)
Filter entries until this date (inclusive)
Response
200 - text/csv
CSV file containing audit log entries
CSV file containing audit log entries
Was this page helpful?
⌘I